<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xExportar($varForm) {
	$objResponse=new xajaxResponse();
	$varFIni = ($varForm["fini"]=="")?"NULL":"'".FechaMySql($varForm["fini"])."'";
	$varFFin = ($varForm["ffin"]=="")?"NULL":"'".FechaMySql($varForm["ffin"])."'";
	
	$sql = "call spQuery_Comision_Vendedor('$varForm[ecod]', $varFIni, $varFFin);";
	$varTitulo = $varForm["titu"];	
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}
	
function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsSueldoComision($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');
$xajax->register(XAJAX_FUNCTION, 'comboMes');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {		
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));
			}		
		}
		
	function xExportarJS() {
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	
	function xImprimirJS() {
		var varEmp = xajax.$("ecod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("fini") && xajax.$("fini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE INICIO");
			xajax.$("fini").focus()
			return (false); 
			}
		else if (xajax.$("ffin") && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DE TERMINO");
			xajax.$("ffin").focus()
			return (false); 
			}
		else {
			var Ruta = 'print/print_sueldo_comisiones.php?emp='+varEmp+'&fini='+varIni+'&ffin='+varFin;
			testwindow= window.open (Ruta, "print_sueldo_comisiones", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=500");
			}
		}
		
	function xImprimirDetalleJS(varEmp, varAni, varMes, varIni, varFin, varVen) {
		var Ruta = 'print/print_sueldo_detalle_comision.php?emp='+varEmp+'&anio='+varAni+'&mes='+varMes+'&fini='+varIni+'&ffin='+varFin+'&ven='+varVen;
		testwindow= window.open (Ruta, "print_sueldo_detalle_comision", "location=no,status=no,toolbar=no,scrollbars=1,width=700,height=500");
		}

</script>
<?php		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	}
?>
<?php
		
function MyTable2($obj, $titulo, $Opcion, $Valor) {
	$Link = $_SERVER['PHP_SELF'];
	$varFINI = (isset($_POST["eini"]))?$_POST["eini"]:NULL;
	$varFFIN = (isset($_POST["efin"]))?$_POST["efin"]:NULL;
	$vartcod = (isset($_POST["tcod"]))?$_POST["tcod"]:NULL;
	$vartnom = (isset($_POST["tnom"]))?$_POST["tnom"]:NULL;
	$varVCOD = (isset($_POST["vcod"]))?$_POST["vcod"]:NULL;
	$varVNOM = (isset($_POST["vnom"]))?$_POST["vnom"]:NULL;
	?>
	<script language="javascript">
	function valida(e){
		tecla=(document.all) ? e.keyCode : e.which;
		if(tecla == 13)
		document.form.cond.focus();
		}
		
	function pulsar(e, a) {
		tecla=(document.all) ? e.keyCode : e.which;
		var Campo = a.name;		
			
		if(tecla==13) {
			if(Campo == "tcod") {
				cargar("U","C",a.value,document.form.emp.value);
				document.form.cond.focus();
				}
			if(Campo.indexOf("acod")==0) {
				msj_articulo = "NO PRESIONES ENTER\n";
				}
			}
		return(tecla!=13);
	//	document.form.cond.focus();
		}
	
	function select_Cliente(tcod, tnom) {		
		var tcod1 = document.getElementById(tcod);
		var tnom1 = document.getElementById(tnom);
		if(tcod1.value=="") {
			tcod1.value = "";
			tnom1.value = "";
			}
		else {			
			var dato = koolajax.callback(seleccionaCliente(tcod1.value));
			if(dato=="NO EXISTE") {
	//			alert("CLIENTE NO EXISTE");
				tcod1.value = "";
				tnom1.value = dato;
				tcod1.focus();
				}
			else {
				tnom1.value = dato;
				}
			}
		}
	
	function select_Vendedor(vcod, vnom) {		
		var vcod1 = document.getElementById(vcod);
		var vnom1 = document.getElementById(vnom);
		if(vcod1.value=="") {
			vcod1.value = "";
			vnom1.value = "";
			}
		else {			
			var dato = koolajax.callback(seleccionaVendedor(vcod1.value));
			if(dato=="NO EXISTE") {
	//			alert("CLIENTE NO EXISTE");
				vcod1.value = "";
				vnom1.value = dato;
				vcod1.focus();
				}
			else {
				vnom1.value = dato;
				}
			}
	function DetalleVenta(varCod, varEmi, varDoc, varUrl) {		
		var Ruta = varUrl+'?opt=VIEW&valor='+varCod;
		window.location.href = Ruta;
		}
		}
</script>
	<?php
	if(!isset($Opcion)) {
		$sqanio = "call spQuery_ComboAnio();";	
		$sqlmes = "call spQuery_ComboMes('$_POST[anio]');";
		$sqanio = "select distinct id_anio, id_anio from _sv_metas;";
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"420", "clase"=>"Formtitulo", "titulo"=>$titulo,
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST", "onsubmit"=>"return validaAvanceVentas(this)"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$titulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Periodo Meta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "campo"=>array("tipo"=>"varios",
														    "contenido"=>array(array("tipo"=>"select", "id"=>"anio", "name"=>"anio", "valor"=>$_POST[anio],
																				     "combo"=>array("sql"=>$sqanio, "sincod"=>"SI", "titulo"=>"--[[ANIO]]--",
																				     "ancho"=>"83", "reload"=>"xajax_comboMes(this.value)")),
																			   array("tipo"=>"select", "id"=>"mes", "name"=>"mes", "valor"=>$_POST[mes], 
																			   		 "div"=>"divMes",
																				     "combo"=>array("sql"=>$sqlmes, "titulo"=>"--[[ MES ]]--","ancho"=>"160"))
																			   )
														   )
										    ),
									   array("titulo"=>"Fecha Incial :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"eini", "name"=>"eini", 
											 				"alinear"=>"center", "valor"=>$varFINI) 
											 ),
									   array("titulo"=>"Fecha Final :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"efin", "name"=>"efin", 
											 "alinear"=>"center", "valor"=>$varFFIN) 
											 )									   
									   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Consultar"),
									   array("tipo"=>"button", "id"=>"bimp", "name"=>"bimp", "ancho"=>"80", "alto"=>"22", "texto"=>"Imprimir",
									   		 "click"=>"fn_print_sueldo_general(form, form.anio.value, form.mes.value, form.eini.value, form.efin.value)"),			  
									   array("tipo"=>"submit", "id"=>"bexp", "name"=>"bexp", "ancho"=>"80", "alto"=>"22", "texto"=>"Exportar")										
									   )
						);
		echo $obj->setTablaForm($varTabla);	
		if(isset($_POST["bcon"])) {		
			$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
			$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";
			$sql = "call spQuery_Sueldo_General('$_POST[anio]', '$_POST[mes]', $varFIni, $varFFin);";
			$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"700", "sql_cab"=>$sql, "pages"=>50,
							"conte"=>array(array("tamano"=>20, "titulo"=>"CVEN", "alinear"=>"center"),
										   array("tamano"=>200, "titulo"=>"VENDEDOR", "funcion"=>array("contar")),
										   array("tamano"=>60, "titulo"=>"BASE", "alinear"=>"right"),
										   array("tamano"=>60, "titulo"=>"VENTA", "alinear"=>"right", "funcion"=>array("autosuma")),
										   array("tamano"=>60, "titulo"=>"COMISION", "alinear"=>"right", "funcion"=>array("autosuma")),
										   array("tamano"=>60, "titulo"=>"META", "alinear"=>"right", "funcion"=>array("autosuma")),
										   array("tamano"=>50,"titulo"=>"% AVANCE", "alinear"=>"right", "tipodat"=>"PORC", "funcion"=>array("porc",2,4)),
										   array("tamano"=>60, "titulo"=>"BASICO", "alinear"=>"right", "tipodat"=>"DOUBLE", "funcion"=>array("autosuma")),
										   array("tamano"=>60, "titulo"=>"SUELDO", "alinear"=>"right", "funcion"=>array("autosuma"))
										   ),
							"boton"=>array(array("tipo"=>"img", "id"=>"bdet", "name"=>"bdet", "img"=>"../images/16x16/table.png", 
										   		 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>VER EL DETALLE</b> DE LA COMISION<br><b>DEL VENDEDOR : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"fn_print_sueldo_detalle_comision",
																"param"=>array(array("valor"=>"form", "tipo"=>"TEXTO"),
																			   array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>$_POST[anio], "tipo"=>"TEXTO"),
																			   array("valor"=>$_POST[mes], "tipo"=>"TEXTO"),
																			   array("valor"=>$_POST[eini], "tipo"=>"TEXTO"),
																			   array("valor"=>$_POST[efin], "tipo"=>"TEXTO")
																			   )
																)
												 )
											)
							);
			echo $obj->SetGridTabla($varTabla);
			}
		}
	} 
?>